import request from '@/utils/request'

// 新增小程序用户管理
export function userAdd (data) {
  return request({
    url: '/miniapp/user',
    method: 'post',
    data
  })
}
// 查询小程序用户管理列表
export function userPage (query) {
  return request({
    url: '/miniapp/user/page',
    method: 'get',
    params: query
  })
}
// 获取小程序用户管理详细信息
export function userInfo (id) {
  return request({
    url: `/miniapp/user/${id}`,
    method: 'get',
  })
}
// 查询用户兑换豆明细列表
export function integralPage (query) {
  return request({
    url: `/system/user/integral/page`,
    method: 'get',
    params: query
  })
}